Bug 146993 - Keyboad Shortcuts: Modification of "enter" key is accepted in dialog, but doesn't work
Summary: Keyboad Shortcuts: Modification of "enter" key is accepted in dialog, but doe...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard
  Show dependency treegraph
 
Reported: 2022-01-26 07:01 UTC by Karl
Modified: 2022-02-09 13:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
try changing keyboard mapping (197.44 KB, image/png)
2022-02-09 10:23 UTC, Karl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl 2022-01-26 07:01:08 UTC
Description:
Hi,

i use the german version of LO. last 7.25, uninstalled and get back to 7.23

if i open OLD writer files, 

a " PI - like " - sign 
    shows the end of a paragraph,
a " like carriage return painting on keyboard "  
    shows manually inserted LINEBREAKS

If i edit this file or edit a new file 

I AM NOT ANYMORE ABLE TO INSERT " manually linebreak ".

MY KEY STROKE Configuration for writer is

ENTER -> manual linebreak
Shift Enter -> new paragraph
CRTL Enter -> new page

kind regards
karl

Actual Results:
manual linebreak is missing

Expected Results:
manual linebreak is NOT missing


Reproducible: Always


User Profile Reset: No



Additional Info:
?
Comment 1 Karl 2022-01-26 08:13:44 UTC
Hi,

THE ONLY way to insert a manual linebreak is via 
main menue -> insert -> brakes -> manual linebrake

(poor translation from german LO)

regards
Comment 2 Karl 2022-01-26 10:07:55 UTC
As well in LO 7.1.8 Windows 10 x64

regards
karl
Comment 3 Karl 2022-01-26 10:10:24 UTC
Main menue

"Insert" -> Breaks -> manually linbreak

shows CORRECTLY mapping of " enter key " 
like i have configured


IT SEEMs there is just a " mapping " mismatch !

regards
Comment 4 Dieter 2022-02-08 21:19:26 UTC
Karl, does it also happen in SafeMode (Help => Restart in Safemode)? 
=> NEEDINFO
Comment 5 Karl 2022-02-09 07:34:09 UTC
Hi 
i am now running LO 7.3 on Win 10


Hallo Dieter

NEIN, im abgesicherten Modus funktioniert alles.
ABGESEHEN davon, dass dann das Standard layout verwendet ist:

Enter: Neuer Absatz
Shift Enter : Neue Zeile
STRG Enter : Neue Seite

Es scheint, dass ich die Tastatur NICHT umbelegen kann ::
Enter : Neue Zeile
Shift Enter : Neuer Absatz

Guesse ::

In Safe Mode everything is fine :
Except for the Keyboard Setting , which seems to be standard 

It seems, that i cannot exchange functionality for 

NEW PARAGRAPH and NEW LINE on
Enter / Carriage Return  and Shift Enter / CR

best regards
Comment 6 Dieter 2022-02-09 08:19:44 UTC
(In reply to Karl from comment #5)
> In Safe Mode everything is fine :
So the bug is probably caused by a corrupted user profile. Please reset your user profile: https://wiki.documentfoundation.org/UserProfile
Does this solve your problem?

> Except for the Keyboard Setting , which seems to be standard
Yes that is expected, because SafeMode is with a clean user profile
Comment 7 Karl 2022-02-09 10:22:53 UTC
Hi Dieter.,

I did a REST on the user profil.

THEN again i startet to set my "wanted keybord mappin"

ENTER / CR == NEW LINE
Shift Enter / CR == NEW PARAGRAPH

// see my attatchment of screen shot of how i did this //

THIS DID NOT WORK ! again
=========================

gruesse re4gards from Dortmund
juergen
Comment 8 Karl 2022-02-09 10:23:57 UTC
Created attachment 178164 [details]
try changing keyboard mapping
Comment 9 Karl 2022-02-09 10:31:12 UTC
Hi

try to have "my wanted changings" in writer,

have " PI - SIGN ON "  to see CR/ NEW LINE symbols in edited text

press several "Enter / CR" several "Shift Enter"
( allways new pararaph symbol is shown )

inser via main menue : Insert -> breaks -> manual line break
( first new line symbol occurs )

regards
Comment 10 Dieter 2022-02-09 11:20:39 UTC
O. K. now I think, I've got it.

Steps to reproduce:
1. Tools -> Customise -> Keyboard
2. Set command "Insert Manual Row Break" to key "Enter" -> OK
3. Reopen dialog to make sure, that setting is accepted
4. Press enter

Actual result:
LO inserts a new paragraph

Expected result
LO inserts a manual row break

Additional informations: Same result with other commands


Version: 7.3.0.3 (x64) / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Karl, I hope you agree with my description. I've also changed bug summary.
Comment 11 Karl 2022-02-09 12:28:44 UTC
Hallo Dieter;

meine Englisch ist "basic":: aber ür die Entwickler versuche ich es halt.

Ich wollte NUR, 
"neue Line" STANDARD : SHIFT ENTER
und 
"neuer Absatz" STANDARD : Enter

umbelegen.

Hast Due es ausprobiert ? Konntest Du es nachvollziehen ?

mfg juergen
I AGREE (as far as i understood Dieter korrektly.

PS::
====

I dont know about SOME HIERACHY of the keyboard to command mapping ...

some REMAPPING might be "vorbidden" as it seems 
Keystrokes might be "libre offisce wide" defined

AS well some "user settings" MAY BE allowed 
to overwrite THE TOP DEFINITION " in a sub - component " (such as writer)

Best regards to Dieter, who CHECKS AGAINST my posting
Comment 12 Dieter 2022-02-09 13:13:40 UTC
(In reply to Karl from comment #11)
> Hast Due es ausprobiert ? Konntest Du es nachvollziehen ?

Yes, I've tested it and could reproduce it with steps from comment 10.